Subject: Plot.pm - Front end to GD.pm for plotting two dimensional data
From: Sanford Morton <[email-masked]>
Date: 9 Mar 1998 18:59:35 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

The module, manual, and a cgi demonstration script are available at

    http://www.speakeasy.org/~cgires/plot/

I'd like to receive comments before releasing to CPAN.

I wrote Plot.pm to create some simple graphs in gif format of two
dimensional scientific data. The other graphing interface modules to
GD.pm I saw on CPAN either could not handle negative data, or could
only chart evenly spaced horizontal data.

Plot.pm will plot multiple data sets in the same graph, each with
some negative or positive values in the independent or dependent
variables. Each dataset can be a scatter graph (data are represented
by graph points only) or with lines connecting successive data points,
or both. Axes are scaled and positioned automatically and 5-10 ticks
are drawn and labeled on each axis.

Plot.pm requires the GD.pm library by Lincoln Stein, available at
http://www.genome.wi.mit.edu/ftp/pub/software/WWW/GD.html or on CPAN.

This is a first draft, so it may not always work right, and the public
interface may change.